# Uses of Interface
org.eclipse.emf.compare.graph.IGraph

Packages that use IGraph
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver
org.eclipse.emf.compare.internal.utils
org.eclipse.emf.compare.rcp.graph

## Uses of IGraph in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return IGraph
Modifier and Type
Method
Description
`IGraph<URI>`
DefaultResolutionContext.`getGraph()`
`IGraph<URI>`
IResolutionContext.`getGraph()`
The graph of dependencies.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IGraph
Modifier and Type
Method
Description
`protected DefaultResolutionContext`
ThreadedModelResolver.`createContext(com.google.common.eventbus.EventBus eventBus, IGraph<URI> aGraph)`
For testing purposes, this method is protected.
`void`
ThreadedModelResolver.`setGraph(IGraph<URI> graph)`
Setter for the URI Graph istance.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IGraph
Modifier
Constructor
Description
``
`DefaultResolutionContext(com.google.common.eventbus.EventBus eventBus, IGraph<URI> graph, DependencyGraphUpdater<URI> graphUpdater, ResourceComputationScheduler<URI> scheduler, ModelResourceListener modelResourceListener)`
``
`DependencyGraphUpdater(IGraph<T> graph, com.google.common.eventbus.EventBus eventBus)`
Constructor.

## Uses of IGraph in org.eclipse.emf.compare.internal.utils

Classes in org.eclipse.emf.compare.internal.utils that implement IGraph
Modifier and Type
Class
Description
`class`
`Graph<E>`
This structure will be used to maintain a undirected graph of elements.
Methods in org.eclipse.emf.compare.internal.utils with parameters of type IGraph
Modifier and Type
Method
Description
`static <E> ReadOnlyGraph<E>`
ReadOnlyGraph.`toReadOnlyGraph(IGraph<E> graph)`
Convert a graph to a read-only graph.

## Uses of IGraph in org.eclipse.emf.compare.rcp.graph

Methods in org.eclipse.emf.compare.rcp.graph with parameters of type IGraph
Modifier and Type
Method
Description
`void`
IGraphConsumer.`setGraph(IGraph<URI> graph)`
Set the graph to be used by this consumer.